Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class RegistrationContext

    java.lang.Object
      org.jboss.portal.wsrp.core.RegistrationContext

All Implemented Interfaces:
  java.io.Serializable

    public class RegistrationContext

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected java.lang.String` | `registrationHandle`
`protected byte[]` | `registrationState`

Constructor Summary
`RegistrationContext()`
`RegistrationContext(java.lang.String registrationHandle, byte[] registrationState, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`java.lang.String` | `getRegistrationHandle()`
`byte[]` | `getRegistrationState()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setRegistrationHandle(java.lang.String registrationHandle)`
`void` | `setRegistrationState(byte[] registrationState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrationHandle

    protected java.lang.String registrationHandle

### registrationState

    protected byte[] registrationState

### extensions

    protected Extension[] extensions

Constructor Detail

### RegistrationContext

    public RegistrationContext()

### RegistrationContext

    public RegistrationContext(java.lang.String registrationHandle,
                               byte[] registrationState,
                               Extension[] extensions)

Method Detail

### getRegistrationHandle

    public java.lang.String getRegistrationHandle()

### setRegistrationHandle

    public void setRegistrationHandle(java.lang.String registrationHandle)

### getRegistrationState

    public byte[] getRegistrationState()

### setRegistrationState

    public void setRegistrationState(byte[] registrationState)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD